Subject: Re: bug#1647: vc-bzr commit bug on win32

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Aug 2020 07:28:11 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 17 Aug 2020 22:23:19 +0000
> Cc: [email-masked]
> 
> > 1) In vc-dired, there are more than one file modified, mark some of them,
> >    and do commit, all the files get committed, not only the marked ones.
> > 2) If the commit comment has more than one lines, only the first one
> >    is passed to Bazaar, and all the files get committed.
> >
> > It seems that this is related with \n in commit comment (no matter one line
> > or multi-line).
> >
> > But there is no problem under Linux.
> >
> > Anyone met this problem ?
> 
> (This was reported over 11 years ago, but unfortunately never got a
> reply at the time.)
> 
> Are you still seeing this on a modern version of Emacs, such as the
> recently released Emacs 27.1?

I just tried it, and didn't see any of these problems.  So either the
problem was fixed since then, or it was due to some local issue to
begin with.